@import "optionals/variables.scss";
@import "~bootstrap/scss/_functions.scss";
@import "~bootstrap/scss/_variables.scss";

.calendar {
  position: relative;

  header {
    .btn {
      position: absolute;
      width: 30px;
      height: 30px;
      color: $primary;
      border-radius: 50%;
      border: 2px solid $primary;
    }

    .btn:hover {
      background: $primary;
      color: white;
    }

    .btn:before {
      content: '';
      position: absolute;
      top: 9px;
      left: 8px;
      width: 8px;
      height: 8px;
      border-style: solid;
      border-width: 3px 3px 0 0;
      transform: rotate(45deg);
      transform-origin: center center;
    }

    .btn-prev {
      top: 1em;
      transform: rotate(-180deg);
    }

    .btn-next {
      top: 1em;
      right: 0;

      &:before {
        transform: rotate(45deg);
      }
    }

    .month .year {
        font-size: 0.6em;
    }
  }

  thead {
    font-weight: 600;
  }

  td {
    padding: .8em .1em;
    text-align: center;
  }

  .day {
    position: relative;
    display: inline-block;
    width: 2.5em;
    height: 2.5em;
    line-height: 2.5em;
    border-radius: 50%;
    cursor: pointer;

    &:hover {
      border: 2px solid $primary;
    }

    &.wrong-month:hover {
      border: 2px solid transparent;
    }

    &.has-event:hover {
        border: 2px solid $secondary;
    }

    &:hover.has-event:after {
        display: none;
    }

    &.wrong-month {
      color: $gray-600;
    }

    &.today {
      background: $primary;
      color: white;
      &.has-event:after {
        background: white;
      }

      &.wrong-month {
        background: $gray-200;
        color: $gray-500;
      }
    }

    &.has-event {
      &:after {
        content: '';
        position: absolute;
        top: calc(50% + 1em);
        left: calc(50% - 2px);
        width: 6px;
        height: 6px;
        border-radius: 50%;
        background: $primary;
      }
    }

    &.disabled{
      cursor: default;

      &:hover {
        border: 2px solid transparent;
      }
    }
  }

  .event-container {
    display: none;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    padding: 1em 70px 70px 1em;
    background: $gray-900;

    .event-wrapper{
      overflow-y: auto;
      max-height: 100%;
    }

    .close{
      position: absolute;
      width:30px;
      height: 30px;
      top: 20px;
      right:20px;
      cursor: pointer;

      &:before, &:after {
        content: '';
        position: absolute;
        top:0;
        left: 50%;
        width: 2px;
        height: 100%;
        background-color: $gray-500;
      }
      &:before {
        transform: rotate(45deg);
      }
      &:after {
        transform: rotate(-45deg);
      }
    }

    .event{
      position: relative;
      width:100%;
      margin-bottom: 1em;
      border-radius: 4px;
      box-sizing: border-box;
      box-shadow: 0 1px 3px rgba(0,0,0,0.06), 0 1px 2px rgba(0,0,0,0.12);
      text-align: left;
      color:white;
    }
  }

  .filler {
    position: absolute;
    width: 0;
    height: 0;
    border-radius: 50%;
    background: $gray-900;
    transform: translate(-50%, -50%);
  }
}
